MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026846Open CASCADE[OCCT] OCCT:Configurationpublic2015-11-06 11:102016-12-09 16:37
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0026846: Configuration, genproj.tcl - create hardlinks instead for header redirection
DescriptionWithin development it would be better to use symbolic or hard links in "inc" instead of dummy header files redirecting to original one.
In this case code navigation would not be messed up with extra files.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0047866)
git (administrator)
2015-11-06 11:12

Branch CR26846 has been created by kgv.

SHA-1: 4d016125a8ae82be2a37423ed9702659a47e994d


Detailed log of new commits:

Author: kgv
Date: Fri Nov 6 11:11:55 2015 +0300

    0026846: Configuration, genproj.tcl - create symlinks instead for header redirection
(0047945)
kgv (developer)
2015-11-09 12:33

The prototype for Windows has been pushed to the branch. It might be more efficient to exec cmd.exe once with prepared list of files.

On Unix, built-in tcl commands should be sufficient for links creation.
(0053765)
git (administrator)
2016-04-30 18:46

Branch CR26846_1 has been created by kgv.

SHA-1: 30ef1435a780d00b2f0c3bb1680ab505bfecd2c9


Detailed log of new commits:

Author: kgv
Date: Sat Apr 30 18:42:38 2016 +0300

    0026846: Configuration, genproj.tcl - create hardlinks instead for header redirection
(0053766)
git (administrator)
2016-04-30 19:01

Branch CR26846_1 has been updated forcibly by kgv.

SHA-1: 25942de3ac4ca552b1dc61ea77e5c21a1c299f9a
(0053767)
kgv (developer)
2016-04-30 19:01
edited on: 2016-04-30 19:01

Patch is ready for review in branch CR26846_1.

(0053844)
git (administrator)
2016-05-05 14:29

Branch CR26846_1 has been updated by abv.

SHA-1: eec3f4ebc2f4fb0710db2b699f85c0472db98e66


Detailed log of new commits:

Author: abv
Date: Thu May 5 14:28:59 2016 +0300

    Build guides updated accordingly

(0053845)
abv (manager)
2016-05-05 14:30

No remarks, please integrate. Note that I added commit updating developer's guide accordingly (except that images of genconfgui are not updated for Linux and OS X).
(0053847)
git (administrator)
2016-05-05 14:46

Branch CR26846_1 has been updated by kgv.

SHA-1: 19b45082441a4df2c1289bd4f605bff2a4776654


Detailed log of new commits:

Author: kgv
Date: Thu May 5 14:46:03 2016 +0300

    Update genconf screenshot for Linux

(0054189)
git (administrator)
2016-05-20 12:21

Branch CR26846_1 has been deleted by inv.

SHA-1: 19b45082441a4df2c1289bd4f605bff2a4776654
(0054239)
git (administrator)
2016-05-20 12:24

Branch CR26846 has been deleted by inv.

SHA-1: 4d016125a8ae82be2a37423ed9702659a47e994d

- Related Changesets
occt: master 5951a088
Timestamp: 2016-04-30 15:57:17
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026846: Configuration, genproj.tcl - create hardlinks instead for header redirection

Build guides updated accordingly

Update genconf screenshot for Linux
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genconfdeps.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - dox/dev_guides/building/3rdparty/images/genconf_linux.png Diff ] File ]
mod - dox/dev_guides/building/3rdparty/images/genconf_windows.png Diff ] File ]
mod - dox/dev_guides/building/code_blocks.md Diff ] File ]
mod - dox/dev_guides/building/msvc.md Diff ] File ]
mod - dox/dev_guides/building/xcode.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-06 11:10 kgv New Issue
2015-11-06 11:10 kgv Assigned To => bugmaster
2015-11-06 11:10 kgv Assigned To bugmaster => kgv
2015-11-06 11:12 git Note Added: 0047866
2015-11-09 12:33 kgv Note Added: 0047945
2015-11-09 12:33 kgv Assigned To kgv => ibs
2015-11-09 12:33 kgv Status new => assigned
2015-12-28 10:48 abv Target Version 7.0.0 => 7.1.0
2016-04-30 18:41 kgv Assigned To ibs => kgv
2016-04-30 18:41 kgv Summary Configuration, genproj.tcl - create symlinks instead for header redirection => Configuration, genproj.tcl - create hardlinks instead for header redirection
2016-04-30 18:41 kgv Description Updated View Revisions
2016-04-30 18:46 git Note Added: 0053765
2016-04-30 19:01 git Note Added: 0053766
2016-04-30 19:01 kgv Note Added: 0053767
2016-04-30 19:01 kgv Assigned To kgv => abv
2016-04-30 19:01 kgv Status assigned => resolved
2016-04-30 19:01 kgv Note Edited: 0053767 View Revisions
2016-05-05 14:29 git Note Added: 0053844
2016-05-05 14:30 abv Note Added: 0053845
2016-05-05 14:30 abv Assigned To abv => bugmaster
2016-05-05 14:30 abv Status resolved => reviewed
2016-05-05 14:46 git Note Added: 0053847
2016-05-13 12:41 bugmaster Changeset attached => occt master 5951a088
2016-05-13 12:41 bugmaster Status reviewed => verified
2016-05-13 12:41 bugmaster Resolution open => fixed
2016-05-20 12:21 git Note Added: 0054189
2016-05-20 12:24 git Note Added: 0054239
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker